0

I'm facing the error "Database is too old and required upgrade" in Central Admin for StateService and SecureStoreService database, but when I ran "Get-SPContentDatabase" it shows NeedsUpgrade property "False" for the above two databases.Can anyone helps to fix this issue and how to upgrade these database.

3 Answers 3

0

You should run the Config Wizard on all farm members. Since those databases aren't content databases, they're upgraded in the global upgrade session only.

3
  • this happens after installing the patches. I have checked the UpgradeLog it was skipping the "SecureStoreService" application database Jan 7, 2020 at 2:53
  • After installing patches you need to run the Config Wizard. docs.microsoft.com/en-us/sharepoint/upgrade-and-update/…
    – user6024
    Jan 7, 2020 at 2:54
  • Yes!! we ran Configuration Wizard on all servers in this farm."Database is too old and required upgrade" status only showing for this two database all other service application DB looks good. Jan 7, 2020 at 2:56
0

Try to run the command below in SharePoint management Shell:

Psconfig -cmd upgrade -inplace b2b -wait -force

If the issue still exists, follow the blog to check if there is any additional database that the services used:

Database is too old upgrade is required

0

In my case the farm account had to be db owner on the databases

This site is temporarily in read-only mode and not accepting new answers.

Not the answer you're looking for? Browse other questions tagged .